/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.ee.ServiceConnectionAward;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface ServiceConnectionAwardMetaData
{
    public ServiceConnectionAward getEntity();

    public void setEntity(ServiceConnectionAward entity);

    public String getAwardDate();

    public String getPermanentAndTotal();

    public String getPermanentAndTotalEffectiveDate();

    public RatedDisabilityMetaData[] getRatedDisabilities();

    public String getServiceConnected();

    public String getServiceConnectedPercentage();
    
    public String getCombinedSCPercentEffectiveDate();

    public String getUnemployable();
}